Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mindswap.pellet.datatypes
Class EmptyDatatype

    java.lang.Object
      org.mindswap.pellet.datatypes.EmptyDatatype

All Implemented Interfaces:
  AtomicDatatype, Datatype

    public class EmptyDatatype

extends java.lang.Object
implements AtomicDatatype

Represents an unsatisfiable datatype, that is, a datatype that does not accept any value.

Author:
  Evren Sirin

Field Summary
`static EmptyDatatype` | `instance`

Constructor Summary
`EmptyDatatype()`

Method Summary
`boolean` | `contains(java.lang.Object value)`
`boolean` | `contains(java.lang.Object value, AtomicDatatype datatype)`
`AtomicDatatype` | `difference(AtomicDatatype dt)`
`AtomicDatatype` | `enumeration(java.util.Set values)`
`aterm.ATermAppl` | `getName()`
`AtomicDatatype` | `getPrimitiveType()`
`java.lang.String` | `getURI()`
`aterm.ATermAppl` | `getValue(int i)`
`java.lang.Object` | `getValue(java.lang.String value, java.lang.String datatypeURI)`
`AtomicDatatype` | `intersection(AtomicDatatype dt)`
`boolean` | `isDerived()`
`boolean` | `isEmpty()`
`AtomicDatatype` | `not()`
`Datatype` | `singleton(java.lang.Object value)`
`int` | `size()`
`java.lang.String` | `toString()`
`AtomicDatatype` | `union(AtomicDatatype dt)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### instance

    public static final EmptyDatatype instance

Constructor Detail

### EmptyDatatype

    public EmptyDatatype()

Method Detail

### size

    public int size()

  Specified by:
    `size` in interface `Datatype`

### contains

    public boolean contains(java.lang.Object value)

  Specified by:
    `contains` in interface `Datatype`

### contains

    public boolean contains(java.lang.Object value,
                            AtomicDatatype datatype)

  Specified by:
    `contains` in interface `Datatype`

### not

    public AtomicDatatype not()

  Specified by:
    `not` in interface `AtomicDatatype`

### intersection

    public AtomicDatatype intersection(AtomicDatatype dt)

  Specified by:
    `intersection` in interface `AtomicDatatype`

### union

    public AtomicDatatype union(AtomicDatatype dt)

  Specified by:
    `union` in interface `AtomicDatatype`

### difference

    public AtomicDatatype difference(AtomicDatatype dt)

  Specified by:
    `difference` in interface `AtomicDatatype`

### getValue

    public java.lang.Object getValue(java.lang.String value,
                                     java.lang.String datatypeURI)

  Specified by:
    `getValue` in interface `Datatype`

### singleton

    public Datatype singleton(java.lang.Object value)

  Specified by:
    `singleton` in interface `Datatype`

### isEmpty

    public boolean isEmpty()

  Specified by:
    `isEmpty` in interface `Datatype`

### enumeration

    public AtomicDatatype enumeration(java.util.Set values)

  Specified by:
    `enumeration` in interface `AtomicDatatype`

### getPrimitiveType

    public AtomicDatatype getPrimitiveType()

  Specified by:
    `getPrimitiveType` in interface `AtomicDatatype`

### isDerived

    public boolean isDerived()

### getName

    public aterm.ATermAppl getName()

  Specified by:
    `getName` in interface `Datatype`

### getURI

    public java.lang.String getURI()

  Specified by:
    `getURI` in interface `Datatype`

### getValue

    public aterm.ATermAppl getValue(int i)

  Specified by:
    `getValue` in interface `Datatype`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Evren Sirin. All Rights Reserved.